## kvantum 0.10.5.git20170927

=== kvantummanager/CMakeLists.txt ===
find_package (Qt5Widgets REQUIRED)
find_package (Qt5Gui REQUIRED)
find_package (Qt5Core REQUIRED)
find_package (Qt5LinguistTools QUIET)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                    ${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS}
                    ${Qt5Gui_INCLUDE_DIRS})

add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")
#get_filename_component(PARENT_DIR ${CMAKE_SOURCE_DIR} DIRECTORY)

set(KM_SOURCES
    main.cpp
    KvantumManager.cpp)

#set(KM_UI kvantummanager.ui)

set(KM_RESOURCES kvantummanager.qrc)

set(DESKTOP_FILE data/kvantummanager.desktop)

#qt5_wrap_ui(KM_UIS_H ${KM_UI})
qt5_wrap_cpp(COMBO_HEADER combobox.h) # needed by "kvantummanager.ui"

# Translations
if(Qt5LinguistTools_FOUND)
  file(GLOB TS_FILES data/translations/kvantummanager_*.ts)
  qt5_add_translation(QM_FILES ${TS_FILES})
  add_executable(kvantummanager ${COMBO_HEADER} ${KM_SOURCES} ${KM_RESOURCES} ${DESKTOP_FILE} ${QM_FILES})
  install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/kvantummanager/translations")
else(Qt5LinguistTools_FOUND)
  add_executable(kvantummanager ${COMBO_HEADER} ${KM_SOURCES} ${KM_RESOURCES} ${DESKTOP_FILE})
endif(Qt5LinguistTools_FOUND)


target_link_libraries(kvantummanager Qt5::Widgets Qt5::Core Qt5::Gui)

install(TARGETS kvantummanager RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

install(FILES ${DESKTOP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications")
install(FILES ${CMAKE_SOURCE_DIR}/kvantumpreview/data/kvantum.svg DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps")

=== kvantumpreview/CMakeLists.txt ===
find_package (Qt5Widgets REQUIRED)
find_package (Qt5Gui REQUIRED)
find_package (Qt5Core REQUIRED)
find_package (Qt5LinguistTools QUIET)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
#set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                    ${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS}
                    ${Qt5Gui_INCLUDE_DIRS})

add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")

set(KP_SOURCES main.cpp)
set(KP_UI KvantumPreviewBase.ui)
set(KP_RESOURCES KvantumPreviewResources.qrc)


qt5_wrap_ui(KP_UIS_H ${KP_UI})
qt5_wrap_cpp(KP_HEADER KvantumPreview.h) # needed by "main.cpp"

# Translations
if(Qt5LinguistTools_FOUND)
  file(GLOB TS_FILES data/translations/kvantumpreview_*.ts)
  qt5_add_translation(QM_FILES ${TS_FILES})
  add_executable(kvantumpreview ${KP_SOURCES} ${KP_HEADER} ${KP_RESOURCES} ${KP_UI} ${DESKTOP_FILE} ${QM_FILES})
  install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/kvantumpreview/translations")
else(Qt5LinguistTools_FOUND)
  add_executable(kvantumpreview ${KP_SOURCES} ${KP_HEADER} ${KP_RESOURCES} ${KP_UI} ${DESKTOP_FILE})
endif(Qt5LinguistTools_FOUND)

target_link_libraries(kvantumpreview Qt5::Widgets Qt5::Core Qt5::Gui)

install(TARGETS kvantumpreview RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== style/CMakeLists.txt ===
if(NOT ENABLE_QT4)
  find_package (Qt5Widgets REQUIRED)
  find_package (Qt5Gui REQUIRED)
  find_package (Qt5Core REQUIRED)
  find_package (Qt5Svg REQUIRED)
  find_package (Qt5X11Extras REQUIRED)
else()
  find_package(Qt4 4.8.7 REQUIRED)

include(${QT_USE_FILE})
add_definitions(${QT_DEFINITIONS})
endif()
find_package (X11)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

#if (NOT QT_CMAKE_PREFIX_PATH)
#set(QT_CMAKE_PREFIX_PATH $ENV{QT_CMAKE_PREFIX_PATH})
#endif ()
#set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} ${QT_CMAKE_PREFIX_PATH})
#set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")

if(NOT ENABLE_QT4)
  get_target_property(REAL_QMAKE_EXECUTABLE ${Qt5Core_QMAKE_EXECUTABLE}
                      IMPORTED_LOCATION)
  execute_process(COMMAND "${REAL_QMAKE_EXECUTABLE}" -query QT_INSTALL_PLUGINS
                  OUTPUT_VARIABLE _Qt5_PLUGIN_INSTALL_DIR
                  ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
  set(KVANTUM_STYLE_DIR "${_Qt5_PLUGIN_INSTALL_DIR}/styles/")

  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS}
                      ${Qt5Gui_INCLUDE_DIRS} ${Qt5Svg_INCLUDE_DIRS}
                      ${Qt5X11Extras_INCLUDE_DIRS}
                      ${X11_INCLUDE_DIR})
else()
  set(KVANTUM_STYLE_DIR "${QT_PLUGINS_DIR}/styles/")

  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${QT_INCLUDE_DIR} ${QT_QTSVG_INCLUDE_DIR}
                      ${X11_INCLUDE_DIR})
endif()

add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")

if(NOT ENABLE_QT4)
  set(kvantum_SOURCES
      Kvantum.cpp
      KvantumPlugin.cpp
      shortcuthandler.cpp
      blur/blurhelper.cpp
      drag/windowmanager.cpp
      drag/x11wmmove.cpp
      themeconfig/ThemeConfig.cpp
      animation/animation.cpp)
else()
  set(kvantum_SOURCES
      qt4/Kvantum4.cpp
      qt4/KvantumPlugin4.cpp
      shortcuthandler.cpp
      qt4/blurhelper4.cpp
      qt4/windowmanager4.cpp
      qt4/x11wmmove4.cpp
      themeconfig/ThemeConfig.cpp)
endif()

set(kvantum_RESOURCES themeconfig/defaulttheme.qrc)
if(NOT ENABLE_QT4)
  set(KDE_COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/color-schemes/")
else()
  set(KDE_COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/kde4/apps/color-schemes/")
endif()

if(NOT ENABLE_QT4)
  qt5_add_resources(RESOURCES ${kvantum_RESOURCES})
else()
  qt4_add_resources(RESOURCES ${kvantum_RESOURCES})
endif()

add_library(kvantum SHARED ${kvantum_SOURCES} ${RESOURCES})

if(NOT ENABLE_QT4)
 target_link_libraries(kvantum ${Qt5Core_LIBRARIES}
                               ${Qt5Gui_LIBRARIES}
                               ${Qt5Widgets_LIBRARIES}
                               ${Qt5Svg_LIBRARIES}
                               ${Qt5X11Extras_LIBRARIES}
                               ${X11_LIBRARIES})
else()
 target_link_libraries(kvantum ${QT_QTCORE_LIBRARY}
                               ${QT_QTGUI_LIBRARY}
                               ${QT_QTSVG_LIBRARY}
                               ${X11_LIBRARIES})
endif()

install(TARGETS kvantum LIBRARY DESTINATION ${KVANTUM_STYLE_DIR})
install(FILES "${CMAKE_SOURCE_DIR}/color/Kvantum.colors" DESTINATION ${KDE_COLOR_DIR})

=== debian/changelog ===
kvantum (0.10.5.git20170927-1mx15+1) mx; urgency=medium

  * New upstream release:
   - Don't draw the groove of a transient scrollbar.
   - Reduced the selection tint to 20%.
   - No repeating pattern for menu separators.
   - Removed "Attached active tab..." from Kvantum Manager because it may
     spoil the theme.
   - Added keys for scrollbar extent and toolbar grouping to Kvantum Manager.
   - Ensure total transparency for the last frame of the transient scrollbar
     animation.
   - Don't let transient scrollbars overlap the frames of their views.
   - Localization.
   - Changed the keys "size.minwidth" and "size.minheight" to "min_width" and
     "min_height" respectively and added support for setting their values in
     terms of app font height and also as increments.
   - Ability to set frame expansion in terms of app font height (for total
     roundness to be independent of font size).
   - Ability to set active_tab_overlap in terms of app font height.
   - Suppressed GCC7 compilation warnings about "-Wimplicit-fallthrough=". (Red
     Hat again! Do they think people are stupid?)
   - Added optional toggle and press text colors for menu(-bar) items. The
     fallback is focus color.
   - Added a key for a 25% translucent background for transient scrollbars when
     needed.
   - Compensated for menu shadows when positioning menus (thanks
     to Craig Drummond).
   - Give viewitem top and bottom margins (frame width + text margin) to combo
     popup items and make their background transparent.
   - Made the combo menu (popup as menu) exactly like a menu.
   - A key for removing checkboxes from combo menus.
   - Set the QObject property "menu_shadow", which is a QList<int> containing
     left, top, right and bottom menu shadow thicknesses in that order.
   - If needed, set the window text color of menus to the normal menuitem text
     color because some apps may do weird things with menus.
   - Added a key (to Kvantum manager) to reduce window translucency or set it in
     themes that don't have a translucent SVG backround for windows.
   - Added a key for "embedded" tabs, which are half embedded in their widgets.
   - Separated the Qt4 code from the Qt5 one.
   - Defined a few standard Qt icons.
   - Fixed the size of tool buttons with just an arrow.
   - A key for transparent arrow (tool) buttons.
   - If the widget has no interior, check whether it has a high contrast with
     its container.
   - Group tabbar scroll buttons together and remove their states.
   - Optionally separate titlebar buttons for dock widgets.
   - Make titlebars match the theme according to its lightness or darkness under
     GTK DEs like Gnome (by Craig Drummond). Now, the suffix "Dark" can have a
     practical meaning in the theme name.
   - Accept dark themes inside light theme directories.
   - Editable theme combobox in Kvantum Manager for finding installed themes by
     typing.
   - Put the progress text in front of the bar when "progressbar_thickness" is
     less than the text (font) height.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 27 Sep 2017 17:07:11 -0700

kvantum (0.10.4.git20170721-1mx17) mx; urgency=medium

  * New pull from git.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Sep 2017 18:32:33 -0700

kvantum (0.10.4+git20170621-1mx15+2) mx; urgency=medium

  * Revamp rules file to really get the switching working for older Qt.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 14 Jul 2017 21:07:04 -0700

kvantum (0.10.4+git20170621-1mx15+1) mx; urgency=medium

  * Rebuild for the MX repo.
  * Add automatic switching for Qt 4 or 5 binary builds and installs.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Jul 2017 12:02:36 -0700

kde-style-kvantum (0.10.4-1mx15+1) mx; urgency=medium

  * New upstream release, build for MX 15:
    - "Transient scrollbars" are fully supported (see Kvantum Manager/Configure
      Active Theme/Compositing & General Look). They usually take no extra
      space, appear on top of their scroll views when needed, and fade out
      when not needed.
    - Translucency problems are fixed -- especially those found in Qt ≥ 5.7.
    - Focus rectangle is added to all themes.
    - A key is added to Kvantum Manager for removing window/dialog tiling
      patterns in themes that have them (see KvCurves3d);
    - Preliminary Wayland support is added.
    - Many fixes, modifications and workarounds are made.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 07 Apr 2017 14:52:05 -0700

kde-style-kvantum (0.10.3-1mx15+1) mx; urgency=medium

  * New upstream release, build for MX 15:
    - Choose the correct arrow for toolbar and menubar extension buttons.
      Unfortunately, the arrows can have no state other than normal and
      disabled (a Qt bug).
    - No state other than normal is needed for toolbutton flat arrows.
    - Added yet another toolbutton size workaround when the button text is
      too long.
    - Added the hacking key "no_selection_tint" to Kvantum Manager.
    - Support shadow for groupbox label.
    - Added support for blurring any hard-coded translucency (and not just
      Konsole) with kwin.
    - Added support for app specific themes (to Kvantum Manager).
    - Added a dark variant of KvArc (KvArcDark).
    - Added a key for overlapping the active tab.
    - Added a key to disable frame expansion for inactive tabs.
    - Added a key for scrollable menus (to Kvantum Manager).
    - Draw all toolbuttons auto-raised inside toolbars.
    - Add hover effect only selectively.
    - Added CMake support (while qmake is kept).
    - Added two keys for toolbar spacing.
    - Added a key for submenu delay (to Kvantum Manager). It can be used to
      show submenus only by clicking.
  * debian/rules: force use of the qmake build.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 11 Jan 2017 08:54:36 -0800

kde-style-kvantum (0.10.2-1mx150+1) mx; urgency=medium

  * New upstream release, build for MX 15:


=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# get the short name of the distro release
distrelease := $(shell lsb_release -cs)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf temp

override_dh_auto_configure:
	qmake-qt4 kvantum.pro

override_dh_auto_build:
	dh_auto_build
# copy the Qt4 plugin into a temp folder
	mkdir -p temp
	cp style/*.so temp
# build and use Qt 5 binaries and the Qt4 plugin on listed distreleases,
# otherwise use Qt 4 only
ifeq ($(distrelease),$(filter $(distrelease),stretch buster sid xenial yakkety zesty artful))
	make distclean
# a clunky way to use an unpatched kvantum.pro file for the Qt5 build,
# maybe using cmake would be more elegant?
	cp debian/kvantum-qt5.pro kvantum.pro
	/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qmake kvantum.pro
	dh_auto_build
endif

# install the qt4 style plugin from /temp
override_dh_auto_install:
	mkdir -p debian/kde-style-kvantum/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/plugins/styles
	install -m 644 temp/*.so debian/kde-style-kvantum/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/plugins/styles
	dh_auto_install

# needed for precise, trusty, and wheezy builds to compress with xz. It's OK
# to leave in for newer releases.
override_dh_builddeb:
	dh_builddeb -- -Z xz

%:
	dh $@ --parallel

## kvantum 0.10.6

=== debian/changelog ===
kvantum (0.10.6-1~mx17+1) mx; urgency=medium

  * New upstream release:
    - The texts of thin progress-bars are put above them as far as possible.
      When there isn't enough space above a thin progress-bar, its the text is
      put in front of it only as a workaround.
    - Now, graying out of disabled icons is completely done by Kvantum -- as a
      workaround for problems some icon engines (like KDE's) have with
      light-and-dark themes.
    - A workaround is added for a Qt bug in the "clear" button of line-edits.
    - A hacking key is added for the scroll jump with middle clicking.
    - Global config files $XDG_CONFIG_DIRS/Kvantum/kvantum.kvconfig are
      supported (for distros).
    - An old miscalculation is fixed in drawing tab labels.
    - A key is added for or an extra margin between tab frame and tab button.
    - A key is added for square arrow buttons in editable combo boxes.
    - A key is added for bold active tab text.
    - A key is added for the degree of text boldness.
    - An optional "tickless" slider handle is added.
    - Checkboxes can look different in view-items.
    - Optional focus elements that replace the (dotted) focus rectangle.
    - State change animations are enhanced.
    - The color contrast calculation is standardized according to WCAG.
    - Several themes are polished, modified or updated.
    - Two themes are added to the collection.
    - RTL header drawing is updated because of two issues in Qt5 (one of them
      is old).
    - Several small fixes and additions here and there.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 15 Apr 2018 16:26:29 -0700

kvantum (0.10.5.git20170927-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17.
  * Disable the Qt 4-specific patch.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 27 Sep 2017 17:48:15 -0700

## kvantum 0.10.8

=== kvantummanager/CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 find_package (Qt5LinguistTools QUIET)
 
 set(CMAKE_AUTOMOC ON)
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTORCC ON)
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
 include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                     ${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS}
@@ -17,7 +17,8 @@
 
 set(KM_SOURCES
     main.cpp
-    KvantumManager.cpp)
+    KvantumManager.cpp
+    KvCommand.cpp)
 
 #set(KM_UI kvantummanager.ui)
 
@@ -26,7 +27,11 @@
 set(DESKTOP_FILE data/kvantummanager.desktop)
 
 #qt5_wrap_ui(KM_UIS_H ${KM_UI})
-qt5_wrap_cpp(COMBO_HEADER combobox.h) # needed by "kvantummanager.ui"
+if (CMAKE_VERSION VERSION_LESS "3.10.0") # CMP0071 in 3.10: Let AUTOMOC and AUTOUIC process GENERATED files
+  qt5_wrap_cpp(COMBO_HEADER combobox.h) # needed by "kvantummanager.ui"
+else()
+  set(COMBO_HEADER combobox.h)
+endif()
 
 # Translations
 if(Qt5LinguistTools_FOUND)

=== style/CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,13 @@
 else()
   find_package(Qt4 4.8.7 REQUIRED)
 
-include(${QT_USE_FILE})
-add_definitions(${QT_DEFINITIONS})
+  include(${QT_USE_FILE})
+  add_definitions(${QT_DEFINITIONS})
 endif()
 find_package (X11)
 
 set(CMAKE_AUTOMOC ON)
+set(CMAKE_AUTORCC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
 #if (NOT QT_CMAKE_PREFIX_PATH)
@@ -47,6 +48,9 @@
 if(NOT ENABLE_QT4)
   set(kvantum_SOURCES
       Kvantum.cpp
+      eventFiltering.cpp
+      polishing.cpp
+      rendering.cpp
       KvantumPlugin.cpp
       shortcuthandler.cpp
       blur/blurhelper.cpp
@@ -66,19 +70,14 @@
 endif()
 
 set(kvantum_RESOURCES themeconfig/defaulttheme.qrc)
+
+add_library(kvantum SHARED ${kvantum_SOURCES} ${kvantum_RESOURCES})
+
 if(NOT ENABLE_QT4)
   set(KDE_COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/color-schemes/")
 else()
   set(KDE_COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/kde4/apps/color-schemes/")
 endif()
-
-if(NOT ENABLE_QT4)
-  qt5_add_resources(RESOURCES ${kvantum_RESOURCES})
-else()
-  qt4_add_resources(RESOURCES ${kvantum_RESOURCES})
-endif()
-
-add_library(kvantum SHARED ${kvantum_SOURCES} ${RESOURCES})
 
 if(NOT ENABLE_QT4)
  target_link_libraries(kvantum ${Qt5Core_LIBRARIES}

=== debian/changelog ===
kvantum (0.10.8-1~mx17+1) mx; urgency=medium

  * New upstream release:
    0.10.8:
    - Try to support translucent base colors, knowing that it isn't possible in 
      all cases.
    - Changed old-style casts to C++ ones.
    - When searching for a stylable toolbar container, search only in the direct
      children of the widget's window (for optimization).
    - Find exact heights of multi-line texts for all kinds of fonts by finding
      their bounding rectangles and without resorting to any "magic constant".
    - Added the key "spread_header" for making simple headers. Also, RTL headers
      are fixed.
    - Added "inactive.alt.base.color" because alternate rows are drawn by
      Kvantum now.
    - Corrected RTL for QToolBox (a bug in QCommonStyle).
    - Consider inactiveness in setting scrollbar background.
    - If a combo isn't styled by Kvantum anymore, don't restore its item
      delegate (otherwise, a rare crash might happen).
    - Fixed the header icon position with RTL layouts.
    - Merge the background of a header with that of its parent view, if any.
    - Fill the menu interior with the window background color if there isn't an
      interior SVG element.
    - Gave meaning to min_height/min_width under Window and Dialog sections by
      making them the minimum height/width of the background (interior) SVG
      element (useful with gradients).
    V0.10.7
    - Removed the workaround for Gwenview's scrollbar issue because it was
      potentially dangerous (actually, just in one case). Anyhow, Gwenview's
      bug was fixed a long time ago.
    - Cover a very rare case, where the special text of a spinbox is set when its
      value is minimum (which means a bad code).
    - Center menubar-item texts horizontally (they were left-aligned before).
    - Added a workaround for an old Qt bug which, sometimes, prevents updating
      of inactive widgets when the active and inactive highlight colors are the
      same.
    - Handle multi-line combo-box menu-items by drawing them on a single line.
    - Optional sections for line-edits and combo-boxes inside toolbars.
    - Don't enforce vertically centered labels for comboboxes and line-edits.
    - Consider the top and bottom label spacings when drawing some indicators.
    - Smoother movement of dial handle.
    - Added the optional section ScrollbarTransientSlider.
    - Compensate for a change in the vertical positioning of submenus
      with Qt 5.11.
    - Added a key for menu separator height.
    - Added a key (to Kvantum manager) for ignoring the inactive state.
    - For an exact vertical centering, give an even height to the bounding
      rectangle of the text and the icon beside it.
    - Consider special fonts for menu-items (some apps may use them to show
      different things).
    - Added a key (to Kvantum Manager) for removing (text) color translucency.
    - Vertically center textless slim (horizontal) progressbars.
    - Split "Kvantum.cpp" logically.
    - Added a key (to Kvantum manager) for reducing menu opacity.
    - Added command-line options to kvantummanager.
    - Enable window translucency under Wayland because Qt >= 5.11 supports it.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 13 Sep 2018 15:39:04 -0700

=== debian/control ===
Source: kvantum
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Pedram Pourang <tsujan2000@gmail.com>
Build-Depends: debhelper (>= 9),
 libqt4-dev,
 lsb-release,
 qtbase5-dev (>= 5.4) | lsb-release (<< 9),
 libqt5svg5-dev (>= 5.4) | lsb-release (<< 9),
 libqt5x11extras5-dev (>= 5.4) | lsb-release (<< 9),
 libx11-dev,
 libxext-dev
Standards-Version: 3.9.6
Homepage: https://github.com/tsujan/Kvantum

Package: kde-style-kvantum
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SVG-based theme engine for Qt4/Qt5, KDE and LXQt
 Kvantum is an SVG-based theme engine for Qt4/Qt5, KDE and LXQt. It has
 a default dark theme and several extra ones but goes far beyond them:
 you could make themes with very different looks and feels for it and
 Kvantum will let you control almost every aspect of Qt widgets.
 .
 If your distro does not have Qt5 (>= 5.4), then only the Qt4 modules will
 be built and installed, since an older Qt5 will not support the themes.

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	cp style/*.so temp
 # build and use Qt 5 binaries and the Qt4 plugin on listed distreleases,
 # otherwise use Qt 4 only
-ifeq ($(distrelease),$(filter $(distrelease),stretch buster sid xenial yakkety zesty artful))
+ifeq ($(distrelease),$(filter $(distrelease),stretch buster sid Horizon xenial yakkety zesty artful))
 	make distclean
 # a clunky way to use an unpatched kvantum.pro file for the Qt5 build,
 # maybe using cmake would be more elegant?
@@ -38,10 +38,5 @@
 	install -m 644 temp/*.so debian/kde-style-kvantum/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/plugins/styles
 	dh_auto_install
 
-# needed for precise, trusty, and wheezy builds to compress with xz. It's OK
-# to leave in for newer releases.
-override_dh_builddeb:
-	dh_builddeb -- -Z xz
-
 %:
 	dh $@ --parallel

## kvantum 1.1.4

=== debian/changelog ===
kvantum (1.1.4-2) unstable; urgency=medium

  * debian/control: build-deps on libqt5x11extras5-dev.
  * debian/control: build-deps on libqt5svg5-dev.
  * debian/rules: also builds qt5 style plugins to provide same
    functionality from bookwrom. (Closes: #1104183, #1102936)
  * debian/qt6-style-kvantum.install: update. Should drop the versioned qt
    in next release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 01 May 2025 12:27:37 +0200

kvantum (1.1.4-1) unstable; urgency=medium

  [ James Lu ]
  * Add qt6-style-kvantum binary package
  * Update long descriptions to refer to Qt5/Qt6 instead of Qt4
  * Release to unstable

  [ Andrew Lee (李健秋) ]
  * Rename source package to match name in upstream.
  * debian/control: update Vcs-Browser tag.
  * debian/control: update Vcs-Git tag.
  * debian/control: rename source package name to match with upstream.
  * Clean up of group membership after 2nd calls.
  * Run wrap-and-sort.
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: update.
  * New upstream version 1.1.4.
  * debian/control: build-deps on libkf6windowsystem-dev.
  * debian/control: build-deps on libqt6svg6-dev.
  * debian/control: drop libqt5svg5-dev from build-deps.
  * debian/control: build-deps on qt6-tools-dev.
  * debian/control: drop qt6-style-kvantum binary package.
  * debian/control: rename all the binary packages from qt5 to qt6.
  * Rename d/qt5-style-kvantum.install to d/qt6-style-kvantum.install.
  * Rename d/qt5-style-kvantum-l10n.install to d/qt5-style-
    kvantum-l10n.install.
  * Rename d/qt5-style-kvantum-themes.install to d/qt6-style-kvantum-
    themes.install.
  * Rename d/qt5-style-kvantum.install to d/qt6-style-kvantum.install.
  * debian/lintian-overrides: update.
  * debian/rules: clean up.
  * debian/control: build-deps on libx11-dev.
  * debian/control: build-deps on libxext-dev.
  * debian/control: conflicts and replace old qt5 packages.
  * debian/control: depends on qt6-translations-l10n instead of
    qttranslations5-l10n.
  * debian/control: use QT instead of QT5/QT6 in descriptions.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 09 Mar 2025 19:39:53 +0100

qt5-style-kvantum (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10
  * debian/README.Debian: took how to use from INSTALL.md file.
    (Closes: #1004824)
  * debian/control: update team address.
  * debian/copyright: update.
  * Drop obsoleted debian/repack.sh.
  * debian/qt5-style-kvantum-themes.install: upstream dropped Openbox
    themes (Openbox's development stopped years ago).
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/control: cleanup build-deps.
  * debian/salsa-ci.yml: enable salsa-ci.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 13 Aug 2023 11:35:53 +0200

qt5-style-kvantum (1.0.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 4.6.2:
    * Add "Rules-Requires-Root: no" in d/control.
  * Update d/watch for GitHub.
  * Update d/lintian-overrides.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Jan 2023 00:47:32 +0800

qt5-style-kvantum (1.0.3-1) unstable; urgency=medium

  * Fix debian/watch and we do not do repack anymore.
  * Added debian/upstream/signing-key.asc.
  * New upstream version 1.0.3
  * Added myself as Uploaders.
  * debian/copyright: drop repack comment as we don't need to do repack
    anymore.
  * Update debian/copyright.
  * debian/rules: specify source directory for dh.
  * debian/docs: correct path as now we use original upstream tarball
    instead of repack one.
  * debian/rules: avoid explicitly specifying -Wl,--as-needed linker flag.
  * debian/rules: drop --fail-missing argument which is now the default.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 23 Jul 2022 22:53:43 +0800

qt5-style-kvantum (1.0.0+repack-1) unstable; urgency=medium

  * New upstream version 1.0.0+repack
  * debian/copyright: Update copyright date
  * debian/control: Bump Standards-Version to 4.6.0

 -- S. 7 <severusseptimius7@gmail.com>  Sat, 05 Feb 2022 13:26:45 -0500

qt5-style-kvantum (0.18.0+repack-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.18.0+repack
  * debian/copyright: Update copyright date
  * debian/control:
    - Use debhelper 13
    - Bump Standards-Version to 4.5.1
  * debian/qt5-style-kvantum-themes.install: Remove kde4 app colorscheme

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 07 Jan 2021 22:46:45 +0800

qt5-style-kvantum (0.14.1+repack-1) unstable; urgency=medium

  * New upstream version 0.14.1+repack

 -- Alf Gaida <agaida@siduction.org>  Sat, 18 Jan 2020 15:12:47 +0100

qt5-style-kvantum (0.14.0+repack-1) unstable; urgency=medium

  * New upstream version 0.14.0+repack

 -- Alf Gaida <agaida@siduction.org>  Sun, 05 Jan 2020 17:56:19 +0100

qt5-style-kvantum (0.12.1+repack-1) unstable; urgency=medium

  * New upstream version 0.12.1.
  * Switched to gbp
  * Bumped standards to 4.4.1, no changes needed.
  * Added .gitignore

 -- Alf Gaida <agaida@siduction.org>  Sun, 05 Jan 2020 17:55:13 +0100

qt5-style-kvantum (0.11.2+repack-1) unstable; urgency=medium

  * Cherry-picked new upstream version 0.11.2.
  * Really bumped standards to 4.4.0, no changes needed.

 -- Alf Gaida <agaida@siduction.org>  Fri, 16 Aug 2019 19:40:57 +0200

qt5-style-kvantum (0.11.1+repack-2) unstable; urgency=medium

  * Switched to unstable - freeze is over.
  * Bumped standards to 4.4.0, no changes needed.
  * Added a .gitignore file

 -- Alf Gaida <agaida@siduction.org>  Wed, 10 Jul 2019 23:10:06 +0200

qt5-style-kvantum (0.11.1+repack-1) experimental; urgency=medium

  * Cherry-picked new upstream version 0.11.1.

 -- Alf Gaida <agaida@siduction.org>  Sat, 18 May 2019 01:35:58 +0200

qt5-style-kvantum (0.11.0+repack-1) experimental; urgency=medium

  * Cherry-picked new upstream version 0.11.0.
  * Marked qt5-style-kvantum-themes Multi-Arch: foreign


=== debian/control ===
Source: kvantum
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libkf6windowsystem-dev,
               libx11-dev,
               libxext-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               qt6-base-dev,
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Homepage: https://github.com/tsujan/Kvantum
Vcs-Browser: https://salsa.debian.org/lxqt-team/kvantum
Vcs-Git: https://salsa.debian.org/lxqt-team/kvantum.git
Rules-Requires-Root: no

Package: qt6-style-kvantum
Architecture: any
Depends: qt6-style-kvantum-themes | qt6-style-kvantum-theme,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: qt6-style-kvantum-l10n
Conflicts: qt5-style-kvantum (<= 1.0.10-1)
Replaces: qt5-style-kvantum (<= 1.0.10-1)
Description: Kvantum style engine (binaries)
 Kvantum is an SVG-based theme engine for Qt, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the application files.

Package: qt6-style-kvantum-l10n
Architecture: all
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}, ${shlibs:Depends}
Conflicts: qt5-style-kvantum-l10n (<= 1.0.10-1)
Replaces: qt5-style-kvantum-l10n (<= 1.0.10-1)
Description: Kvantum style engine (localization)
 Kvantum is an SVG-based theme engine for Qt, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the localization files.

Package: qt6-style-kvantum-themes
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: qt5-style-kvantum-theme
Conflicts: qt5-style-kvantum-themes (<= 1.0.10-1)
Replaces: qt5-style-kvantum-themes (<= 1.0.10-1)
Description: Kvantum style engine (themes)
 Kvantum is an SVG-based theme engine for Qt, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the theme files.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --sourcedirectory=Kvantum --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo
	dh_auto_configure --builddirectory=qt5build -- \
		-DENABLE_QT5=ON \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

execute_after_dh_auto_build:
	dh_auto_build --builddirectory=qt5build

execute_after_dh_auto_install:
	dh_auto_install --builddirectory=qt5build -Pdebian/qt6-style-kvantum \
		-p qt6-style-kvantum

execute_before_dh_auto_clean:
	rm -rf ./qt5build

## kvantum 1.1.5

=== Kvantum/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.0)
project(kvantum)
set(CMAKE_BUILD_TYPE Release)
add_definitions (-Wall)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX "/usr")
endif()

option(ENABLE_QT4 "Building Qt4 plugin." OFF)
option(ENABLE_QT5 "Building Qt5 plugin." OFF)
option(WITHOUT_KF "Compiling without KDE Frameworks..." OFF)

add_subdirectory(style)
if(NOT ENABLE_QT4)
  if(NOT ENABLE_QT5)
    add_subdirectory(kvantumpreview)
    add_subdirectory(kvantummanager)
    add_subdirectory(themes)
  endif()
endif()

=== Kvantum/kvantumpreview/CMakeLists.txt ===
set(QT6_MINIMUM_VERSION "6.6.0")

find_package(Qt6 "${QT6_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets)
find_package(Qt6 QUIET COMPONENTS LinguistTools)

set(CMAKE_AUTOMOC ON)
#set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                    ${Qt6Core_INCLUDE_DIRS}
                    ${Qt6Widgets_INCLUDE_DIRS}
                    ${Qt6Gui_INCLUDE_DIRS})

add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")

set(KP_SOURCES main.cpp)
set(KP_UI KvantumPreviewBase.ui)
set(KP_RESOURCES KvantumPreviewResources.qrc)

qt6_wrap_ui(KP_UIS_H ${KP_UI})
set(KP_HEADER KvantumPreview.h)

# Translations
if(Qt6LinguistTools_FOUND)
  file(GLOB TS_FILES data/translations/kvantumpreview_*.ts)
  qt6_add_translation(QM_FILES ${TS_FILES})
  add_executable(kvantumpreview ${KP_SOURCES} ${KP_HEADER} ${KP_RESOURCES} ${KP_UI} ${DESKTOP_FILE} ${QM_FILES})
  install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/kvantumpreview/translations")
else(Qt6LinguistTools_FOUND)
  add_executable(kvantumpreview ${KP_SOURCES} ${KP_HEADER} ${KP_RESOURCES} ${KP_UI} ${DESKTOP_FILE})
endif(Qt6LinguistTools_FOUND)

target_link_libraries(kvantumpreview Qt6::Widgets Qt6::Core Qt6::Gui)

install(TARGETS kvantumpreview RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== Kvantum/style/CMakeLists.txt ===
set(QT5_MINIMUM_VERSION "5.15.0")
set(QT6_MINIMUM_VERSION "6.6.0")
set(KF5_MINIMUM_VERSION "5.82.0")
set(KF6_MINIMUM_VERSION "6.0.0")

if(NOT ENABLE_QT4)
  if(NOT ENABLE_QT5)
    set(QT_VERSION_MAJOR 6)
    find_package(Qt6 "${QT6_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg)
    if(NOT WITHOUT_KF)
      find_package(KF6WindowSystem "${KF6_MINIMUM_VERSION}" REQUIRED)
    endif()
  else()
    set(QT_VERSION_MAJOR 5)
    find_package(Qt5 "${QT5_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg X11Extras)
  endif()
else()
  set(QT_VERSION_MAJOR 4)
  find_package(Qt4 4.8.7 REQUIRED)

  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})
endif()

find_package(X11 REQUIRED)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

if(QT_VERSION_MAJOR EQUAL 6)
  get_target_property(REAL_QMAKE_EXECUTABLE Qt6::qmake
                      IMPORTED_LOCATION)
  execute_process(COMMAND "${REAL_QMAKE_EXECUTABLE}" -query QT_INSTALL_PLUGINS
                  OUTPUT_VARIABLE _Qt6_PLUGIN_INSTALL_DIR
                  ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
  set(KVANTUM_STYLE_DIR "${_Qt6_PLUGIN_INSTALL_DIR}/styles/")

  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${Qt6Core_INCLUDE_DIRS} ${Qt6Widgets_INCLUDE_DIRS}
                      ${Qt6Gui_INCLUDE_DIRS} ${Qt6Svg_INCLUDE_DIRS}
                      ${X11_INCLUDE_DIR})
elseif(QT_VERSION_MAJOR EQUAL 5)
  get_target_property(REAL_QMAKE_EXECUTABLE ${Qt5Core_QMAKE_EXECUTABLE}
                      IMPORTED_LOCATION)
  execute_process(COMMAND "${REAL_QMAKE_EXECUTABLE}" -query QT_INSTALL_PLUGINS
                  OUTPUT_VARIABLE _Qt5_PLUGIN_INSTALL_DIR
                  ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
  set(KVANTUM_STYLE_DIR "${_Qt5_PLUGIN_INSTALL_DIR}/styles/")

  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS}
                      ${Qt5Gui_INCLUDE_DIRS} ${Qt5Svg_INCLUDE_DIRS}
                      ${Qt5X11Extras_INCLUDE_DIRS}
                      ${X11_INCLUDE_DIR})
  add_definitions(-DNO_KF)
else()
  set(KVANTUM_STYLE_DIR "${QT_PLUGINS_DIR}/styles/")

  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${QT_INCLUDE_DIR} ${QT_QTSVG_INCLUDE_DIR}
                      ${X11_INCLUDE_DIR})
endif()

add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")

if(WITHOUT_KF)
  add_definitions(-DNO_KF)
endif()

if(QT_VERSION_MAJOR EQUAL 6)
  set(kvantum_SOURCES
      Kvantum.cpp
      eventFiltering.cpp
      polishing.cpp
      rendering.cpp
      standardIcons.cpp
      viewItems.cpp
      KvantumPlugin.cpp
      shortcuthandler.cpp
      blur/blurhelper.cpp
      drag/windowmanager.cpp
      themeconfig/ThemeConfig.cpp
      animation/animation.cpp)
elseif(QT_VERSION_MAJOR EQUAL 5)
  set(kvantum_SOURCES
      qt5/Kvantum5.cpp
      qt5/eventFiltering5.cpp
      qt5/polishing5.cpp
      qt5/rendering5.cpp
      qt5/standardIcons5.cpp
      qt5/viewItems5.cpp
      qt5/KvantumPlugin5.cpp
      qt5/shortcuthandler5.cpp
      qt5/blurhelper5.cpp
      qt5/windowmanager5.cpp
      qt5/ThemeConfig5.cpp
      qt5/animation5.cpp)
else()
  set(kvantum_SOURCES
      qt4/Kvantum4.cpp
      qt4/KvantumPlugin4.cpp
      qt4/shortcuthandler4.cpp
      qt4/blurhelper4.cpp
      qt4/windowmanager4.cpp
      qt4/x11wmmove4.cpp
      qt4/ThemeConfig4.cpp)
endif()

set(kvantum_RESOURCES themeconfig/defaulttheme.qrc)

add_library(kvantum SHARED ${kvantum_SOURCES} ${kvantum_RESOURCES})

if(NOT ENABLE_QT4)
  set(KDE_COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/color-schemes/")
else()
  set(KDE_COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/kde4/apps/color-schemes/")
endif()

if(QT_VERSION_MAJOR EQUAL 6)
  if(WITHOUT_KF)
    target_link_libraries(kvantum ${Qt6Core_LIBRARIES}
                                  ${Qt6Gui_LIBRARIES}
                                  ${Qt6Widgets_LIBRARIES}
                                  ${Qt6Svg_LIBRARIES}
                                  ${X11_LIBRARIES})
  else()
    target_link_libraries(kvantum ${Qt6Core_LIBRARIES}
                                  ${Qt6Gui_LIBRARIES}
                                  ${Qt6Widgets_LIBRARIES}
                                  ${Qt6Svg_LIBRARIES}
                                  ${X11_LIBRARIES}
                                  KF6::WindowSystem)
  endif()
elseif(QT_VERSION_MAJOR EQUAL 5)
  target_link_libraries(kvantum ${Qt5Core_LIBRARIES}
                                ${Qt5Gui_LIBRARIES}
                                ${Qt5Widgets_LIBRARIES}
                                ${Qt5Svg_LIBRARIES}
                                ${Qt5X11Extras_LIBRARIES}
                                ${X11_LIBRARIES})
else()
  target_link_libraries(kvantum ${QT_QTCORE_LIBRARY}
                                ${QT_QTGUI_LIBRARY}
                                ${QT_QTSVG_LIBRARY}
                                ${X11_LIBRARIES})
endif()

install(TARGETS kvantum LIBRARY DESTINATION ${KVANTUM_STYLE_DIR})
if(QT_VERSION_MAJOR EQUAL 6)
  install(FILES "${CMAKE_SOURCE_DIR}/color/Kvantum.colors" DESTINATION ${KDE_COLOR_DIR})
endif()

=== debian/changelog ===
kvantum (1.1.5-1) unstable; urgency=medium

  [ Joel Orón Valiente ]
  * New upstream version 1.1.5
  * debian/copyright: Add myself.
  * debian/control: Add myself as uploader.
  * debian/control: Fix lintian warning: duplicate-short-description
    & duplicate-long-description qt5-style-kvantum qt6-style-kvantum.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 13 Aug 2025 17:08:12 +0800

kvantum (1.1.4-3) unstable; urgency=medium

  * Source only upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 05 May 2025 23:58:06 +0200

kvantum (1.1.4-3~) experimental; urgency=medium

  * debian/control: rename binary packages from versioned qt6 to
    unversioned qt.
  * debian/control: add transitional packages for users to upgrade from
    previous versioned qt5 and qt6 binary packages.
  * debian/control: bump to Standards-version to 4.7.2, no changes needed.
  * debian/control: adjust depends.
  * debian/control: adjust recommends.
  * debian/control: add breaks to previous versions.
  * debian/control: drop conflicts.
  * debian/control: adjust replaces.
  * debian/control: drop provides.
  * debian/lintian-overrides: update.
  * Run wrap-and-sort.
  * debian/rules: install qt5 plugin in correct package.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 03 May 2025 15:50:08 +0200

=== debian/control ===
Source: kvantum
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Joel Orón Valiente <moded3v@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libkf6windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxext-dev,
               qt6-base-dev,
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.7.2
Homepage: https://github.com/tsujan/Kvantum
Vcs-Browser: https://salsa.debian.org/lxqt-team/kvantum
Vcs-Git: https://salsa.debian.org/lxqt-team/kvantum.git
Rules-Requires-Root: no

Package: qt-style-kvantum
Architecture: any
Depends: qt-style-kvantum-themes, ${misc:Depends}, ${shlibs:Depends}
Recommends: qt-style-kvantum-l10n
Breaks: qt5-style-kvantum (<= 1.0.10-1), qt6-style-kvantum (<= 1.1.4-2)
Replaces: qt5-style-kvantum (<= 1.0.10-1), qt6-style-kvantum (<= 1.1.4-2)
Description: Kvantum style engine (binaries)
 Kvantum is an SVG-based theme engine for Qt, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the application files.

Package: qt-style-kvantum-l10n
Architecture: all
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}, ${shlibs:Depends}
Breaks: qt5-style-kvantum-l10n (<= 1.0.10-1),
        qt6-style-kvantum-l10n (<= 1.1.4-2)
Replaces: qt5-style-kvantum-l10n (<= 1.0.10-1),
          qt6-style-kvantum-l10n (<= 1.1.4-2)
Description: Kvantum style engine (localization)
 Kvantum is an SVG-based theme engine for Qt, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the localization files.

Package: qt-style-kvantum-themes
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qt5-style-kvantum-themes (<= 1.0.10-1),
        qt6-style-kvantum-themes (<= 1.1.4-2)
Replaces: qt5-style-kvantum-themes (<= 1.0.10-1),
          qt6-style-kvantum-themes (<= 1.1.4-2)
Description: Kvantum style engine (themes)
 Kvantum is an SVG-based theme engine for Qt, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the theme files.

Package: qt5-style-kvantum
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, qt-style-kvantum
Description: Kvantum qt5 style engine (transitional package)
 This is a dummy qt5-style transitional package to transition to
 qt-style-kvantum. It can be safely removed.

Package: qt6-style-kvantum
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, qt-style-kvantum
Description: Kvantum qt6 style engine (transitional package)
 This is a dummy qt6-style transitional package to transition to
 qt-style-kvantum. It can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,8 @@
 	dh_auto_build --builddirectory=qt5build
 
 execute_after_dh_auto_install:
-	dh_auto_install --builddirectory=qt5build -Pdebian/qt6-style-kvantum \
-		-p qt6-style-kvantum
+	dh_auto_install --builddirectory=qt5build -Pdebian/qt-style-kvantum \
+		-p qt-style-kvantum
 
 execute_before_dh_auto_clean:
 	rm -rf ./qt5build
